phrGetWarningStrings {phreeqc} | R Documentation

## Retrieve warning messages.

### Description

Returns a character vector containing any warning messages that were generated during the last invocation of the following methods: `phrAccumulateLine`, `phrLoadDatabase`, `phrLoadDatabaseString`, `phrRunAccumulated`, `phrRunFile`, `phrRunString`.

### Usage

    phrGetWarningStrings()

### Details

A NULL value is returned if there are no warnings.

### Value

A character vector containing warning messages or NULL.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### Examples

    # This example loads the phreeqc.dat database and attempts to use the
    # DATABASE keyword to set the database to wateq4f.dat.  A warning is
    # displayed stating that the DATABASE keyword is ignored in the 'R'
    # implementation.
    phrLoadDatabaseString(phreeqc.dat)
    phrAccumulateLine("DATABASE wateq4f.dat")
    phrAccumulateLine("SOLUTION 1")
    phrRunAccumulated()
    if (!is.null(phrGetWarningStrings())) {
      cat(phrGetWarningStrings(), sep = "\n")
    }

[Package phreeqc version 3.4.10 Index]